%define module XML-SAX-Writer

Name: perl-%module
Version: 0.44
Release: alt1

Summary: Perl module converts numbers to strings with pretty formatting
Summary(ru_RU.KOI8-R):  %module   Perl
Group: Development/Perl
License: Artistic
Source: http://www.cpan.org/modules/by-module/Number/%module-%version.tar.bz2

BuildArch: noarch

# Automatically added by buildreq on Tue Nov 12 2002
BuildRequires: perl-Text-Iconv perl-XML-Filter-BufferText perl-XML-NamespaceSupport perl-XML-SAX perl-devel

%description
Number::Format is a library for formatting numbers.  Functions are
provided for converting numbers to strings in a variety of ways, and to
convert strings that contain numbers back into numeric form.  The output
formats may include thousands separators - characters inserted between
each group of three characters counting right to left from the decimal
point.  The characters used for the decimal point and the thousands
separator come from the locale information or can be specified by the
user.

Also of note is the format_picture command which converts a number into
a string using a "picture" string that you provide.  This is similar to
the PRINT USING statement that some versions of BASIC have.

In addition, functions exist to generate strings for numbers
containing currency (e.g. "USD 9.99", "DEM 20.00", etc.) or for
rounding large values of bytes to the nearest giga/mega/kilo
(e.g. "1.5M", "640K", etc.).

%description -l ru_RU.KOI8-R
Number::Format     .
         .
      - , 
     ,    
  .      
,     .

 ,    ,  
 (.. ". 9.99", "DEM 20.00",  ...)   
     // (.. "1.5M",
"640K",  ...). 

%prep
%setup -q -n %module-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files 
%doc README Changes
%perl_vendor_privlib/XML*
%perl_vendor_man3dir/*

%changelog
* Tue Nov 12 2002 Stanislav Ievlev <inger@altlinux.ru> 0.44-alt1
- Inital release
